aboutsummaryrefslogtreecommitdiffstats
path: root/plans/so
diff options
context:
space:
mode:
authorAndrewLamb <andrew.a.lamb@est.tech>2019-09-06 14:31:04 +0100
committerAndrew Lamb <andrew.a.lamb@est.tech>2019-09-10 15:34:06 +0000
commitcdd725e7624acb8652ca9e4b5fba8c9fa64ae033 (patch)
treef7fbcb99ef0b146322a1b8df8db7977a06262418 /plans/so
parentf5597d47623201fc4bf759e4f9c3209ad2ba7c3b (diff)
Enable Run ETSI Tests against local docker images
Change-Id: Ic1653a408676d0f3d17c52c64f96dc145fd07b61 Issue-ID: SO-2288 Signed-off-by: AndrewLamb <andrew.a.lamb@est.tech>
Diffstat (limited to 'plans/so')
-rw-r--r--plans/so/integration-etsi-testing/config/env1
-rw-r--r--plans/so/integration-etsi-testing/docker-compose.local.yml33
-rwxr-xr-xplans/so/integration-etsi-testing/setup.sh14
-rwxr-xr-xplans/so/integration-etsi-testing/teardown.sh13
4 files changed, 58 insertions, 3 deletions
diff --git a/plans/so/integration-etsi-testing/config/env b/plans/so/integration-etsi-testing/config/env
index 61603aac..583be0af 100644
--- a/plans/so/integration-etsi-testing/config/env
+++ b/plans/so/integration-etsi-testing/config/env
@@ -1,4 +1,5 @@
NEXUS_DOCKER_REPO_MSO=nexus3.onap.org:10001
+DOCKER_ENVIRONMENT=remote
TAG=1.4.3-STAGING-latest
TIME_OUT_DEFAULT_VALUE_SEC=1200
PROJECT_NAME=etsiintegrationtesting
diff --git a/plans/so/integration-etsi-testing/docker-compose.local.yml b/plans/so/integration-etsi-testing/docker-compose.local.yml
new file mode 100644
index 00000000..ae15e6f6
--- /dev/null
+++ b/plans/so/integration-etsi-testing/docker-compose.local.yml
@@ -0,0 +1,33 @@
+version: '3'
+services:
+################################################################################
+ mariadb:
+ image: mariadb:10.1.11
+################################################################################
+ catalog-db-adapter:
+ image: onap/so/catalog-db-adapter:${TAG}
+################################################################################
+ request-db-adapter:
+ image: onap/so/request-db-adapter:${TAG}
+################################################################################
+ sdnc-adapter:
+ image: onap/so/sdnc-adapter:${TAG}
+################################################################################
+ sdc-controller:
+ image: onap/so/sdc-controller:${TAG}
+################################################################################
+ bpmn-infra:
+ image: onap/so/bpmn-infra:${TAG}
+################################################################################
+ api-handler-infra:
+ image: onap/so/api-handler-infra:${TAG}
+#############################################################################
+ so-monitoring:
+ image: onap/so/so-monitoring:${TAG}
+################################################################################
+ vnfm-adapter:
+ image: onap/so/vnfm-adapter:${TAG}
+################################################################################
+ vnfm-simulator:
+ image: onap/so/vnfm-simulator:${TAG}
+################################################################################
diff --git a/plans/so/integration-etsi-testing/setup.sh b/plans/so/integration-etsi-testing/setup.sh
index 5af56460..ce6637c1 100755
--- a/plans/so/integration-etsi-testing/setup.sh
+++ b/plans/so/integration-etsi-testing/setup.sh
@@ -31,6 +31,7 @@ ENV_FILE=$CONFIG_DIR/env
TEMP_DIR_PATH=$SCRIPT_HOME/temp
TEST_LAB_DIR_PATH=$TEMP_DIR_PATH/test_lab
DOCKER_COMPOSE_FILE_PATH=$SCRIPT_HOME/docker-compose.yml
+DOCKER_COMPOSE_LOCAL_OVERRIDE_FILE=$SCRIPT_HOME/docker-compose.local.yml
TEAR_DOWN_SCRIPT=$SCRIPT_HOME/teardown.sh
MAVEN_DIR=$TEMP_DIR_PATH/maven
@@ -48,7 +49,7 @@ echo "Running $SCRIPT_HOME/$SCRIPT_NAME ..."
export $(egrep -v '^#' $ENV_FILE | xargs)
-MANDATORY_VARIABLES_NAMES=( "NEXUS_DOCKER_REPO_MSO" "TAG" "TIME_OUT_DEFAULT_VALUE_SEC" "PROJECT_NAME" "DEFAULT_NETWORK_NAME")
+MANDATORY_VARIABLES_NAMES=( "NEXUS_DOCKER_REPO_MSO" "DOCKER_ENVIRONMENT" "TAG" "TIME_OUT_DEFAULT_VALUE_SEC" "PROJECT_NAME" "DEFAULT_NETWORK_NAME")
for var in "${MANDATORY_VARIABLES_NAMES[@]}"
do
@@ -138,7 +139,16 @@ git clone http://gerrit.onap.org/r/so/docker-config.git $TEST_LAB_DIR_PATH
export TEST_LAB_DIR=$TEST_LAB_DIR_PATH
export CONFIG_DIR_PATH=$CONFIG_DIR
-docker-compose -f $DOCKER_COMPOSE_FILE_PATH -p $PROJECT_NAME up -d
+if [ "$DOCKER_ENVIRONMENT" == "remote" ]; then
+ echo "Starting docker containers with remote images ..."
+ docker-compose -f $DOCKER_COMPOSE_FILE_PATH -p $PROJECT_NAME up -d
+elif [ "$DOCKER_ENVIRONMENT" == "local" ]; then
+ echo "Starting docker containers with local images ..."
+ docker-compose -f $DOCKER_COMPOSE_FILE_PATH -f $DOCKER_COMPOSE_LOCAL_OVERRIDE_FILE -p $PROJECT_NAME up -d
+else
+ echo "DOCKER_ENVIRONMENT not set correctly in $ENV_FILE. Allowed values: local | remote"
+ exit 1
+fi
echo "Sleeping for 3m"
sleep 3m
diff --git a/plans/so/integration-etsi-testing/teardown.sh b/plans/so/integration-etsi-testing/teardown.sh
index 61edc7df..e92b7314 100755
--- a/plans/so/integration-etsi-testing/teardown.sh
+++ b/plans/so/integration-etsi-testing/teardown.sh
@@ -28,12 +28,23 @@ ENV_FILE=$CONFIG_DIR/env
TEMP_DIR_PATH=$SCRIPT_HOME/temp
TEST_LAB_DIR_PATH=$TEMP_DIR_PATH/test_lab
DOCKER_COMPOSE_FILE_PATH=$SCRIPT_HOME/docker-compose.yml
+DOCKER_COMPOSE_LOCAL_OVERRIDE_FILE=$SCRIPT_HOME/docker-compose.local.yml
echo "Running $SCRIPT_HOME/$SCRIPT_NAME ..."
export $(egrep -v '^#' $ENV_FILE | xargs)
export TEST_LAB_DIR=$TEST_LAB_DIR_PATH
export CONFIG_DIR_PATH=$CONFIG_DIR
-docker-compose -f $DOCKER_COMPOSE_FILE_PATH -p $PROJECT_NAME down
+if [ "$DOCKER_ENVIRONMENT" == "remote" ]; then
+ echo "Tearing down docker containers from remote images ..."
+ docker-compose -f $DOCKER_COMPOSE_FILE_PATH -p $PROJECT_NAME down
+elif [ "$DOCKER_ENVIRONMENT" == "local" ]; then
+ echo "Tearing down docker containers from local images ..."
+ docker-compose -f $DOCKER_COMPOSE_FILE_PATH -f $DOCKER_COMPOSE_LOCAL_OVERRIDE_FILE -p $PROJECT_NAME down
+else
+ echo "Couldn't find valid property for DOCKER_ENVIRONMENT in $ENV_FILE."
+ echo "Attempting normal teardown ..."
+ docker-compose -f $DOCKER_COMPOSE_FILE_PATH -p $PROJECT_NAME down
+fi
echo "Finished executing $SCRIPT_HOME/$SCRIPT_NAME"